From 15f3b34bf07d997e5430e4d46f75df4fff73f6ac Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Mon, 2 Nov 2009 14:06:11 +0100
Subject: [PATCH] Disable Wcast-align for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 metacity-disable-Wcast-align.patch |   15 +++++++++++++++
 metacity.spec                      |    9 ++++++++-
 2 files changed, 23 insertions(+), 1 deletions(-)
 create mode 100644 metacity-disable-Wcast-align.patch

diff --git a/metacity-disable-Wcast-align.patch b/metacity-disable-Wcast-align.patch
new file mode 100644
index 0000000..56828d2
--- /dev/null
+++ b/metacity-disable-Wcast-align.patch
@@ -0,0 +1,15 @@
+diff -dur metacity-2.28.0.backup/configure.in metacity-2.28.0/configure.in
+--- metacity-2.28.0.backup/configure.in	2009-09-22 15:35:47.000000000 +0200
++++ metacity-2.28.0/configure.in	2009-11-02 13:49:02.380872832 +0100
+@@ -84,11 +84,6 @@
+   esac
+ 
+   case " $CFLAGS " in
+-  *[\ \	]-Wcast-align[\ \	]*) ;;
+-  *) CFLAGS="$CFLAGS -Wcast-align" ;;
+-  esac
+-
+-  case " $CFLAGS " in
+   *[\ \	]-Wsign-compare[\ \	]*) ;;
+   *) CFLAGS="$CFLAGS -Wsign-compare" ;;
+   esac
diff --git a/metacity.spec b/metacity.spec
index 460137f..1e6f2ee 100644
--- a/metacity.spec
+++ b/metacity.spec
@@ -3,7 +3,7 @@
 Summary: Unobtrusive window manager
 Name: metacity
 Version: 2.28.0
-Release: 9%{?dist}
+Release: 9%{?dist}.fa1
 URL: http://download.gnome.org/sources/metacity/
 Source0: http://download.gnome.org/sources/metacity/2.28/metacity-%{version}.tar.bz2
 # http://bugzilla.gnome.org/show_bug.cgi?id=558723
@@ -26,6 +26,7 @@ Patch11: fresh-tooltips.patch
 # https://bugzilla.gnome.org/show_bug.cgi?id=600864
 # https://bugzilla.redhat.com/show_bug.cgi?id=533239
 Patch12: metacity-dont-do-bad-stuff-on-sigterm.patch
+Patch20: metacity-disable-Wcast-align.patch
 
 License: GPLv2+
 Group: User Interface/Desktops
@@ -94,6 +95,9 @@ API. This package exists purely for technical reasons.
 %patch10 -p1 -b .workspaces
 %patch11 -p1 -b .fresh-tooltips
 %patch12 -p1 -b .sigterm
+%ifarch %{arm}
+%patch20 -p1
+%endif
 
 # force regeneration
 rm src/metacity.schemas
@@ -201,6 +205,9 @@ fi
 %{_mandir}/man1/metacity-window-demo.1.gz
 
 %changelog
+* Mon Nov 09 2009 Jitesh Shah <jiteshs@marvell.com> - 2.28.0-9.fa1
+- Disable Wcast-align for ARM
+
 * Thu Nov 05 2009 Ray Strode <rstrode@redhat.com> 2.28.0-9
 - One stab at the metacity patch
 
-- 
1.5.5.6

